<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\KurseFilter;

class KurseFilterController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new KurseFilterUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new KurseFilterRequest();
    $requestObj->dnr = \GetOperations::getVarValue('dnr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new KurseFilterPresenter($pUseCaseResponse);
  }
}